Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclTCPSocketI Class Reference

`#include <oscl_tcp_socket.h>`

Inheritance diagram for OsclTCPSocketI:

## Public Methods
virtual | ~OsclTCPSocketI ()
TPVSocketEvent | ThreadLogoff ()
TPVSocketEvent | ThreadLogon (OsclSocketServI *aServ, OsclSocketObserver *aObserver)
int32 | Close ()
int32 | Listen (int aQueueSize)
OsclTCPSocketI * | GetAcceptedSocketL (uint32 aId)
uint8 * | GetRecvData (int32 *aLength)
uint8 * | GetSendData (int32 *aLength)
TPVSocketEvent | BindAsync (OsclNetworkAddress &aAddress, int32 aTimeoutMsec=-1)
void | CancelBind ()
TPVSocketEvent | ListenAsync (uint32 qsize, int32 aTimeoutMsec=-1)
void | CancelListen ()
TPVSocketEvent | Connect (OsclNetworkAddress &aAddress, int32 aTimeoutMsec=-1)
void | CancelConnect ()
TPVSocketEvent | Shutdown (TPVSocketShutdown aHow, int32 aTimeoutMsec=-1)
void | CancelShutdown ()
TPVSocketEvent | Accept (int32 aTimeout=-1)
void | CancelAccept ()
TPVSocketEvent | Send (const uint8 *&aPtr, uint32 aLen, int32 aTimeoutMsec=-1)
void | CancelSend ()
TPVSocketEvent | Recv (uint8 *&aPtr, uint32 aMaxLen, int32 aTimeoutMsec=-1)
void | CancelRecv ()
## Static Public Methods
OsclTCPSocketI * | NewL (Oscl_DefAlloc &a, OsclSocketServI *aServ, OsclSocketObserver *aObserver, uint32 aId)

## Detailed Description

Internal implementation class for OsclTCPSocket

## Constructor & Destructor Documentation

virtual OsclTCPSocketI::~OsclTCPSocketI | ( |  | ) | `[virtual]`

## Member Function Documentation

TPVSocketEvent OsclTCPSocketI::Accept | ( | int32 | aTimeout = -1 | ) | `[inline]`

TPVSocketEvent OsclTCPSocketI::BindAsync | ( | OsclNetworkAddress & | aAddress,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

void OsclTCPSocketI::CancelAccept | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelBind | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelConnect | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelListen | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelRecv | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelSend | ( |  | ) | `[inline]`

void OsclTCPSocketI::CancelShutdown | ( |  | ) | `[inline]`

int32 OsclTCPSocketI::Close | ( |  | ) | `[virtual]`

| Implements OsclIPSocketI.

TPVSocketEvent OsclTCPSocketI::Connect | ( | OsclNetworkAddress & | aAddress,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

OsclTCPSocketI* OsclTCPSocketI::GetAcceptedSocketL | ( | uint32 | aId | ) |

uint8 * OsclTCPSocketI::GetRecvData | ( | int32 * | aLength | ) | `[inline, virtual]`

| Implements OsclIPSocketI.

uint8 * OsclTCPSocketI::GetSendData | ( | int32 * | aLength | ) | `[inline, virtual]`

| Implements OsclIPSocketI.

int32 OsclTCPSocketI::Listen | ( | int | aQueueSize | ) | `[inline]`

TPVSocketEvent OsclTCPSocketI::ListenAsync | ( | uint32 | qsize,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

OsclTCPSocketI* OsclTCPSocketI::NewL | ( | Oscl_DefAlloc & | a,
|  | OsclSocketServI * | aServ,
|  | OsclSocketObserver * | aObserver,
|  | uint32 | aId
| ) | `[static]`

TPVSocketEvent OsclTCPSocketI::Recv | ( | uint8 *& | aPtr,
|  | uint32 | aMaxLen,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

TPVSocketEvent OsclTCPSocketI::Send | ( | const uint8 *& | aPtr,
|  | uint32 | aLen,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

TPVSocketEvent OsclTCPSocketI::Shutdown | ( | TPVSocketShutdown | aHow,
|  | int32 | aTimeoutMsec = -1
| ) | `[inline]`

TPVSocketEvent OsclTCPSocketI::ThreadLogoff | ( |  | ) |

| Reimplemented from OsclIPSocketI.

TPVSocketEvent OsclTCPSocketI::ThreadLogon | ( | OsclSocketServI * | aServ,
|  | OsclSocketObserver * | aObserver
| ) |

The documentation for this class was generated from the following file:

- oscl_tcp_socket.h